#include<bits/stdc++.h>
#define MAXN (int)2e5+20
using namespace std;
int n;
struct lik
{
    int a;
    double p;
}niz[MAXN];
bool cmp(lik a, lik b)
{
    if(a.p<b.p)return true;
    return false;
}
int main()
{
    scanf("%d", &n);
    long long s = 0;
    for(int i=0;i<n;i++)
    {
        scanf("%d%lf", &niz[i].a, &niz[i].p);
        s+=niz[i].a;
    }
    sort(niz, niz+n, cmp);
    double res = (double)s * niz[0].p / 100;
    for(int i=1;i<n;i++)
    {
        s-=niz[i-1].a;
        res = max(res, (double)s * niz[i].p / 100);
    }
    printf("%lf", res);
    return 0;
}